# $Revision: 1.30.2.3 $, $Date: 2007/04/19 11:30:17 $
#
%define		xfce_version 4.4.1
#
Summary:	Xfce theme engine for GTK+
Summary(pl):	Motyw Xfce dla GTK+
Name:		gtk-xfce-engine
Version:	2.4.1
Release:	1
License:	GPL
Group:		Themes/GTK+
Source0:	http://www.xfce.org/archive/xfce-%{xfce_version}/src/%{name}-%{version}.tar.bz2
# Source0-md5:	40e1b9f3ae0163cfdf19b70811a56d9f
URL:		http://www.xfce.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+2-devel >= 2:2.8.20
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.9.0
Requires:	gtk+2 >= 2:2.8.20
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Xfce theme engine for GTK+.

%description -l pl
Motyw Xfce dla GTK+.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# no *.la for gtk engines
rm -f $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/2.*/engines/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/gtk-2.0/2.*/engines/*.so
%{_datadir}/themes/Xfce*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gtk-xfce-engine.spec,v $
Revision 1.30.2.3  2007/04/19 11:30:17  megabajt
- updated to 2.4.1

Revision 1.30.2.2  2007/01/28 21:59:51  megabajt
- updated to 2.4.0, merged from HEAD

Revision 1.37  2007/01/21 19:35:24  megabajt
- updated to 2.4.0 (Xfce 4.4.0)

Revision 1.36  2006/11/05 19:21:08  megabajt
- up to 2.3.99.2 (Xfce 4.4RC2)
- updated deps

Revision 1.35  2006/09/04 16:02:51  megabajt
- up to 2.3.99.1

Revision 1.34  2006/07/16 19:27:58  freetz
- use one xfce_version in all xfce specs

Revision 1.33  2006/07/16 19:13:57  freetz
- merged from DEVEL

Revision 1.32.2.2  2006/07/16 19:10:29  freetz
- 2.3.90.2, updated deps, --as-needed support, changed summaries and
  descriptions to be less bogus

Revision 1.32.2.1  2006/04/26 19:02:10  troll
- updated to 2.3.90.1

Revision 1.30.2.1  2006/07/04 18:27:32  havner
- 2.2.8, HEAD merge

Revision 1.32  2005/11/10 03:01:45  charles
- updated to 2.2.8

Revision 1.31  2005/05/19 11:36:46  troll
- updated to 2.2.7 (Xfce 4.2.2)

Revision 1.30  2005/03/16 11:19:29  charles
- updated to 2.2.6 (Xfce 4.2.1)

Revision 1.29  2005/01/17 12:21:59  charles
- updated to 2.2.5 from Xfce 4.2.0

Revision 1.28  2004/12/27 22:21:55  troll
- updated to 4.1.99.3 (4.2 RC3)

Revision 1.27  2004/12/22 15:31:16  troll
- seems that authors changed their mind regarding the name, unifications

Revision 1.26  2004/12/13 18:59:57  troll
- updated to 2.2.3 from Xfce 4.2 RC2

Revision 1.25  2004/11/27 19:21:09  saq
- massive attack: more BR epoch fixes

Revision 1.24  2004/11/24 23:31:28  qboosh
- reapplied some changes after merge (-j not used?)

Revision 1.23  2004/11/24 22:20:26  troll
- merged from DEVEL

Revision 1.17.2.8  2004/11/16 20:42:49  dzeus
- fixed _xfce_ver

Revision 1.17.2.7  2004/11/16 18:57:37  dzeus
- updated to 2.2.2 from XFce 4.1.99.1 (4.2 RC1)

Revision 1.17.2.6  2004/11/13 20:52:28  troll
- updated to 2.2.1 from XFce 4.1.91 (4.2 beta 2)

Revision 1.17.2.5  2004/10/09 07:32:59  troll
- updated to 4.1.90 (4.2 beta 1)

Revision 1.17.2.4  2004/08/13 16:41:38  havner
- 20040813

Revision 1.17.2.3  2004/08/07 01:35:57  havner
- typo

Revision 1.17.2.2  2004/08/06 23:06:11  havner
- 20040806

Revision 1.17.2.1  2004/06/16 22:31:01  jpc
- new snap (20040617)
- added libtoolize (done by autogen.sh)

Revision 1.17  2004/04/18 06:24:19  ankry
- switched to a working mirror

Revision 1.16  2004/04/16 22:16:22  troll
- updated to XFce-4.0.5
- more strict internal dependencies
- new Source0 (the old one doesn't exist anymore)

Revision 1.15  2004/03/10 20:58:40  troll
- updated to 2.1.9

Revision 1.14  2004/01/12 20:05:01  undefine
- ac/am to rebuild on amd64, release 2

Revision 1.13  2004/01/08 23:26:14  troll
- updated to 2.1.8

Revision 1.12  2003/11/14 15:06:31  troll
- updated md5

Revision 1.11  2003/11/14 14:47:13  troll
- updated to 2.1.7 (XFce-4.0.1)

Revision 1.10  2003/09/27 09:13:40  troll
- updated to 4.0.0

Revision 1.9  2003/09/14 16:00:10  troll
- updated to 2.1.5

Revision 1.8  2003/08/27 08:51:00  pascalek
- updated to 2.1.4

Revision 1.7  2003/08/11 22:46:31  ankry
- cosmetics

Revision 1.6  2003/07/25 08:48:21  pascalek
- updated to 2.1.3

Revision 1.5  2003/06/18 16:14:54  pascalek
- BR: xft-devel

Revision 1.4  2003/06/18 08:24:56  qboosh
- spec is prepared for gtk+ 2.2.x, so updated deps

Revision 1.3  2003/06/16 13:56:32  qboosh
- pl, cleanups, fixed file list, removed redundant BR fontconfig-devel

Revision 1.2  2003/06/14 16:58:31  pascalek
- md5sum of source0 updated

Revision 1.1  2003/06/14 16:53:27  pascalek
- initial release
